enchant();			//[オマジナイ]

//■ページが読み込まれたときに実行される関数
window.onload = function() {
	//コアオブジェクトを作成する
	core = new Core(320, 320);				//[オマジナイ]320*320のゲーム画面を作る[オマジナイ]
	//ゲームの初期化
	core.fps = 24;							//fps設定
	//ゲームで使用するファイルを読み込む
	core.preload('map.png');
	core.preload('start.png');
	core.preload('end.png');
	core.preload('clear.png');

	// ■ゲームのメイン処理 
	core.onload = function() {
		//======================================================================================//
		//▼物理用仮想空間を作る
		physicsWorld = new PhysicsWorld(0, 9.8);	//[オマジナイ]y軸方向に重力加速度
		//==============================================================================================================================
		//▼stageグループを作る
		stage = new Group();			//groupオブジェクト
		//==============================================================================================================================
		//▼tileを配置する
		for(var i = 0; i < tiles.length; i++){			//配列の要素数だけ繰り返す(縦)
			for(var j = 0; j < tiles[i].length; j++){	//配列の要素数だけ繰り返す(横)
				if(tiles[i][j] != -1){					//パターン値が-1じゃなかったら
					if(tiles[i][j] < 10){				//mapのフレーム数が10未満なら
						//横、縦、静的なオブジェクト設定、密度、摩擦、反発、最初から物理起動
						var tile = new PhyBoxSprite(32, 32, enchant.box2d.STATIC_SPRITE, 1.0, 0.5, 0.2, true);
					}else if(tiles[i][j] >= 10 && tiles[i][j] < 18){			//それ以外なら
						//横、縦、動的なオブジェクト設定、密度、摩擦、反発、最初から物理起動
						var tile = new PhyBoxSprite(32, 32, enchant.box2d.DYNAMIC_SPRITE, 1.0, 0.5, 0.2, true);
					}
					tile.image = core.assets['map.png'];				//使用する画像の設定
					tile.frame = tiles[i][j];							//表示するフレーム設定
					tile.position = {x: j * 32 + 16, y: i * 32 + 16};	//spriteの中心座標
					stage.addChild(tile);								//stageグループにtileを追加
				}
			}
		}
		core.rootScene.addChild(stage);				//roootSceneにstageグループを追加
		//======================================================================================//
		//▲rootsceneの処理
		core.rootScene.addEventListener('enterframe',function(e){	//フレーム開始時に発生する定期イベント
			//======================================================================================//
			physicsWorld.step(core.fps);	//[オマジナイ]物理の時間を進める
		});
	}
	// ゲームスタート
	core.start();
}
//==============================================================================================================================
//▼マップデータ定義
var tiles = [
	[ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
	[ 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1],
	[ 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1],
	[ 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1],
	[ 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1],
	[ 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1],
	[ 1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1],
	[ 1,-1,-1,-1,-1,-1,10,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1],
	[ 1,-1,-1,-1,-1,-1,10,10,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1, 1],
	[ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
	[ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
	[ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
	[ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
];
